Zone ManagementZone

Zone

Return HTTP pull zone details

curl -X GET "https://api.5centscdn.com/v2/zones/http/pull/42" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY"
{
  "result": "success",
  "zone": {
    "type": "pull",
    "id": 12345,
    "serviceid": 67890,
    "alias": "tests",
    "hashid": "n4zpvl968j5o",
    "mode": "http",
    "optimize": "live",
    "optimizer": "0",
    "origin": "http://www.jjk.com",
    "backup": "",
    "cnames": "",
    "live": "N",
    "wafid": null,
    "edgeruleids": 0,
    "dnscheck": 1,
    "ip": null,
    "customhostheader": "",
    "iswordpress": "0",
    "awsSignatureV4": "",
    "disabled": "0",
    "created_at": "2026-04-07 05:31:16",
    "updated_at": "2026-04-14 12:29:23",
    "deleted": null,
    "router": "mycdn",
    "remaining": 0,
    "status": "Enabled",
    "name": "sample-pull-zone",
    "fqdn": "cdn.example.com",
    "ssl": {
      "http": "N",
      "http2": "Y",
      "redirect": "Y",
      "mode": "S",
      "certid": null,
      "enabled": "Y",
      "warning": false
    },
    "cnamesArr": [],
    "cnamesArrFqdn": [
      "cdn.example.com"
    ],
    "waf": {
      "enabled": "N"
    },
    "defaultBehaviors": {},
    "edgeRules": [],
    "behaviorId": 11111,
    "modeI": "vod",
    "originip": {
      "enabled": "N"
    },
    "baseDirectory": "",
    "hostHeader": "www.jjk.com",
    "shield": {
      "network": "0",
      "enabled": "N"
    },
    "edge": {
      "compression": "N",
      "compressionlevel": "6",
      "disposition": "N",
      "stripcookie": "N",
      "xff": "N",
      "cors": "N",
      "webp": "N",
      "pseudostreaming": "N",
      "wp": "N",
      "lfo": "N",
      "prefresh": "N"
    },
    "proxied": false,
    "origin_auth": {
      "type": "none"
    },
    "domainlock": {
      "enabled": "N",
      "policy": "Y",
      "list": "",
      "ips": "",
      "noreferer": "N",
      "active": "N"
    },
    "geoblock": {
      "enabled": "Y",
      "policy": "Y",
      "list": [
        ""
      ],
      "ips": "",
      "active": "Y"
    },
    "securetoken": {
      "enabled": "N",
      "policy": "F",
      "keyip": "N",
      "list": "",
      "timeout": 3600,
      "session": "0",
      "ips": "",
      "dirs": "",
      "active": "N"
    },
    "ipaccess": {
      "enabled": "N",
      "policy": "Y",
      "list": "",
      "ips": "",
      "active": "N"
    },
    "useragent": {
      "enabled": "N",
      "policy": "Y",
      "list": "Array",
      "ips": "",
      "casesensitive": "N",
      "active": "N",
      "listArr": [
        "Array"
      ]
    },
    "eac": {
      "enabled": "N",
      "policy": "N",
      "list": "",
      "ips": "",
      "active": "N"
    },
    "bwlimit": {
      "enabled": "Y",
      "policy": "1",
      "rate": 0,
      "rateafter": 0,
      "payg": "N",
      "active": "Y"
    },
    "cache": {
      "smart": "0",
      "cache": "2s",
      "expiry": "1m",
      "querystring": "Y",
      "cachecontrol": "N",
      "usestale": "N",
      "revalidate": "N",
      "cacheInSecs": "2",
      "cacheInMins": 0.03,
      "expiryInSecs": 60,
      "expiryInMins": "1"
    },
    "cdnservice": {
      "purgeurls": [
        "/dashboard/103/zones/http/pull/5157/purge"
      ],
      "purgeurl": "["\\/dashboard\\/103\\/zones\\/http\\/pull\\/5157\\/purge"]",
      "authtoken": "c2FtcGxlLWF1dGh0b2tlbi1oZXJl"
    },
    "ftpdetails": {
      "username": "user_67890_push_12345",
      "password": "WA572y4zss"
    },
    "playbackurls": {
      "scheme": "https",
      "name": "/path/to/filename.ext",
      "url_prefix": "https://cdn.example.com",
      "http": "https://cdn.example.com/path/to/filename.ext",
      "players": {
        "hostname": "player.example.com",
        "flowplayer": {
          "base": "https://player.example.com/flowplayer/hls/",
          "hls": "https://player.example.com/flowplayer/hls/"
        },
        "videojs": {
          "base": "https://player.example.com/videojs/hls/",
          "hls": "https://player.example.com/videojs/hls/"
        },
        "own": {
          "hashes": {},
          "baseQ": "?showcv=true&title=[ReplaceWithVideoTitle]",
          "base": "https://player.example.com/5centscdn/auto/skin1/sampleplayer1/",
          "hls": "https://player.example.com/5centscdn/auto/skin1/sampleplayer1/"
        }
      }
    },
    "seo": {
      "canonical": "N",
      "robots": "N",
      "robotstxt": "N",
      "robotstxtcustom": ""
    },
    "hasEdgeRules": true
  },
  "warnings": null
}
GET
/zones/http/pull/{zoneid}
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

zoneidinteger
Required

Zone ID

Example:
42

Responses

resultstring

Status of the API response.

zoneobject
warningsstring

Array of non-fatal warning messages, or null if no warnings.